#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 stack
version:              2.9.1
visibility:           public
id:                   stack-2.9.1-LRaI81VzbgqDzQ7jD1HY3a
key:                  stack-2.9.1-LRaI81VzbgqDzQ7jD1HY3a
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  56db5bb773b1315af8cf44a1422fcd51
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version Stack.Unpack
    Stack.Upgrade Stack.Upload System.Info.ShortPathName
    System.Permissions System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/stack
hs-libraries:         HSstack-2.9.1-LRaI81VzbgqDzQ7jD1HY3a
depends:
    Cabal-3.8.1.0 aeson-2.1.2.1-38LADbNStwmEfKOReucTQy
    annotated-wl-pprint-0.7.0-Bbb9GOQJoVZEpSwInbNN3i
    ansi-terminal-1.0.2-CHKNXEXhuZ3EvZtvAUncPO array-0.5.4.0
    async-2.2.5-CjCuZi34HovIas1x5o0XNl
    attoparsec-0.14.4-K9rgVNreKMkFhZdMbsqsTo base-4.17.2.1
    base64-bytestring-1.2.1.0-51qKIpJ73TV1AKDjoSOLuj
    bytestring-0.11.5.3 casa-client-0.0.2-2RRswDnOSi7HSXW4IXLneE
    casa-types-0.0.2-4iteu6TvAo71KJQDXYWrWt
    colour-2.3.6-EBRe8mBxzeqCy9m4vJD3mT
    conduit-1.3.6.1-71bcac4Cc835E6whLI9wK1
    conduit-extra-1.3.6-7CjUmIZxf2RHU2WaCxxouE containers-0.6.7
    crypton-1.0.0-IOrX7iT0S6MJjAyhaWcbyg
    crypton-conduit-0.2.3-EocfNXtuZfM4FlAc9MZ4ky deepseq-1.4.8.0
    directory-1.3.7.1 echo-0.1.4-HrG6UGs9bUNIRHTRpjaAQ
    exceptions-0.10.5 extra-1.7.16-CikHmmEQvn83rCDobzYCEG
    file-embed-0.0.15.0-7OnjuFj6gBM9fqBKJCVXdU
    filelock-0.1.1.7-JnGjLtCikNHE0dRj6HumoK filepath-1.4.2.2
    fsnotify-0.3.0.1-5WyaYW5fyQh2nuN7Ao121m
    generic-deriving-1.14.5-5HOmaQ6JtOgLjZT6rczpDG
    hackage-security-0.6.2.6-48eI9hWBGWh1o7WjtN9SM5
    hashable-1.4.4.0-AT2Ub72SgpTFIbLYNtgVpj
    hi-file-parser-0.1.7.0-HXNAxToRIfiLhSAEZ6vLG8
    hpack-0.35.2-9U0XrsYevKOAVHBZb7YyPO hpc-0.6.1.0
    http-client-0.7.18-5fj6BFr75tN5leYKFOzzeh
    http-client-tls-0.3.6.4-LsEMzgIMdlXERrSThNI7aZ
    http-conduit-2.3.9.1-HN8EYrl5M0gKsoAeMqWR8i
    http-download-0.2.1.0-4TGkrcJUwte1CD66eaESCr
    http-types-0.12.4-1mXIbLxCpEKp4Jrjs0euO
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd
    mintty-0.1.4-AuJ2EgpOQbhHDGkFzZNT4J
    mono-traversable-1.0.21.0-86oIbQQTrKgFcj5sK1IbJA mtl-2.2.2
    mustache-2.4.2-61VI1U4OeujICZzHWMUIvK
    neat-interpolation-0.5.1.4-1sowH8UcyWdJZxkerYcJwj
    network-uri-2.6.4.2-6a0tnrWM371Ip5S0wD8Wxe
    open-browser-0.2.1.1-JxaFXLEqga6LFagqIfuNya
    optparse-applicative-0.17.1.0-3DJFXm9vTXK45PcUNAvg30
    pantry-0.5.7-5D5QZjhcD8RJuDeDRl7lke
    path-0.9.5-7KB6SvPsS44EiO368xTCSY
    path-io-1.8.2-2D0USfDiUYoGveyQipM8ue
    persistent-2.14.5.1-5FMB7eNLYEOC3vC4Uy4q4x
    persistent-sqlite-2.13.1.0-8hLNdTGkgc71IAZLnf59mb pretty-1.1.3.6
    primitive-0.8.0.0-RoAiLvCruBL00EsvIFp5f process-1.6.18.0
    project-template-0.2.1.0-8ElnSyfWzaaAsuEERUsjIq
    random-1.2.1.2-5Y3bNr2vhgE1UbXPPVLWyj
    retry-0.9.3.1-7uewXMWyGgHDHK73hMpuXF
    rio-0.1.22.0-9eR8AbbQn0bEW55kPnJt5n
    rio-prettyprint-0.1.7.0-3yHjrbIMW7w5oDCVfLEdkA
    split-0.2.5-2HeD4Nuqed4MnDSfwehTU stm-2.5.1.0
    streaming-commons-0.2.3.0-KlgGRi8xR8UBuARxaAept3
    tar-0.5.1.1-BLuIMuVMMpO3QzRO6EC9PJ template-haskell-2.19.0.0
    temporary-1.3-FG8be2uh4e8v7fVoGxla4 text-2.0.2
    text-metrics-0.3.2-EoIAcPLeopeJeAw81HQvpX
    th-reify-many-0.1.10-4otmSrQcP768JM9gqWZ7sj time-1.12.2
    tls-1.9.0-JY0bcNSsGwWY5dBxVg2a7 transformers-0.5.6.2
    typed-process-0.2.12.0-KBpdW1uySiti0kTToBlrW
    unicode-transforms-0.4.0.1-I7cXWpfBTyp8jfYgPDtmUu unix-2.7.3
    unix-compat-0.7.3-CU7UWjjGR4i9UIe1hCdWTL
    unliftio-0.2.25.1-F7Dw6tTXv5C3zxHQgA2LvN
    unordered-containers-0.2.20-WenrpHtwHKIVom5hXYF7C
    vector-0.13.2.0-H3MTIE0bxkOEYwCD854O16
    yaml-0.11.11.2-4cqrLX9nlWZ901d2DYrxoV
    zip-archive-0.4.3.2-HzvXG4V7Sj2B7jMVA9X1GM
    zlib-0.6.3.0-97FgXTqrChC25IpT7zWdnE

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

